#
# spec file for package rdate
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rdate
Version:        1.4
Release:        142.3
Summary:        Tool to retrieve the time from an RFC 868 server
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            http://en.wikipedia.org/wiki/Rdate
Source:         rdate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
rdate retrieves and optionally sets the time from an RFC 868 server.
It is a simple, significantly less complex (and less functional)
replacement for NTP.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
cp rdate %{buildroot}%{_bindir}
cp rdate.1 %{buildroot}%{_mandir}/man1
gzip -9 %{buildroot}%{_mandir}/man1/rdate.1

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/rdate
%attr(0644,root,root) %{_mandir}/man1/rdate.1.gz

%changelog
* Mon Apr 27 2015 mpluskal@suse.com
- Do not use url for source as no mirror is available
- Use wikipedia article about rdate as url
- Cleanup spec-file with spec-cleaner
* Thu Oct  5 2006 rml@suse.de
- Initial package
